QGIS Application - Bug report #15738
Repeated segfault when merging and editing polygons
2016-10-21 09:19 AM - Karl Kastner

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:2.14.1 Regression?: No

Operating System: Ubuntu Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corruptsdata: Copied to github as #: 23660
Description

Steps to reproduce:

Open the attached shape file that contains a set of polygons.

Select two polygons.

Merge the polygons.

Select the node tool.

Select a vertex.

Delete the vertex.

Keep selecting and deleting vertices until Qgis crashes.

Crashes on my machine at every attempt, but sometimes more, sometimes less vertices have to be deleted.
The merge step seems to be necessary to reproduce the bug.

The core dump is compressed 72MB and therefore not attached. | will provide the core dump on request.

History

#1 - 2017-02-04 02:50 AM - Giovanni Manghi
- Priority changed from Normal to High

#2 - 2017-03-06 03:42 PM - Giovanni Manghi

- Resolution set to not reproducable
- Status changed from Open to Closed

Just tested on the same platform on 2.18.4, no crashes. Please reopen if necessary.

#3 - 2017-09-22 09:55 AM - Jiirgen Fischer

- Category set to Unknown

Files

test.tar.gz 20 KB 2016-10-21
